import { Construct } from 'constructs';
export interface StaticWebsiteProps {
    domainName: string;
    siteSubDomain: string;
    assets: string;
    hostedZoneId?: string;
}
/**
 * Static site infrastructure, which deploys site content to an S3 bucket.
 *
 * The site redirects from HTTP to HTTPS, using a CloudFront distribution,
 * Route53 alias record, and ACM certificate.
 */
export declare class StaticWebsite extends Construct {
    constructor(parent: Construct, name: string, props: StaticWebsiteProps);
}
